Skip to main content
GET
Get workspace snippet run

Authorizations

Authorization
string
header
required

workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens

Headers

akua-context
string

Optional workspace/scope context for the request. Carries a single workspace wire id (ws_…) today. Only needed for broad tokens — a workspace-owned token implies its workspace.

Required string length: 1 - 53
Example:

"ws_j572abc123def456"

Path Parameters

id
string
required
Required string length: 1 - 54

Response

Snippet run details

id
string
required
Required string length: 1 - 54
snippet_id
string
required
Required string length: 1 - 54
source
enum<string>
required

Origin that initiated the persisted snippet run.

Available options:
manual,
dashboard_open,
dashboard_refresh,
agent
snippet_name
string
required
snippet_etag
string
required
dashboard_id
string | null
required
Required string length: 1 - 55
dashboard_name
string | null
required
widget_id
string | null
required
Required string length: 1 - 54
widget_title
string | null
required
run_by
string
required
agent_session_id
string | null
required
Required string length: 1 - 54
agent_turn_id
string | null
required
Required string length: 1 - 54
state
enum<string>
required

Terminal run state in past participle form.

Available options:
succeeded,
failed,
timed_out
duration_ms
number
required
stats
object
required
created_at
integer
required

Unix timestamp (seconds)

Required range: x >= 0
etag
string
required
overrides
object

Legacy execution metadata retained for compatibility. It is not applied as runtime input.

output
any
error
object